<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$selectGroup = t3lib_div::GPvar("select_group") ? t3lib_div::GPvar("select_group") : 0;

$TCA["tx_cs2unitconverter_groups"] = Array (
	"ctrl" => $TCA["tx_cs2unitconverter_groups"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,group_name,group_name_de"
	),
	"feInterface" => $TCA["tx_cs2unitconverter_groups"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"group_name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_groups.group_name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"group_name_de" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_groups.group_name_de",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, group_name, group_name_de")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_cs2unitconverter_units"] = Array (
	"ctrl" => $TCA["tx_cs2unitconverter_units"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,unit_name,unit_name_de,shortcut,group_uid"
	),
	"feInterface" => $TCA["tx_cs2unitconverter_units"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"unit_name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_units.unit_name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"unit_name_de" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_units.unit_name_de",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"shortcut" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_units.shortcut",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"group_uid" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_units.group_uid",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_cs2unitconverter_groups",
				"foreign_table_where" => "ORDER BY tx_cs2unitconverter_groups.group_name",
				"default" => $selectGroup,
				"minitems" => 0,
				"maxitems" => 1,
				"eval" => "required",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, unit_name, unit_name_de, shortcut, group_uid")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_cs2unitconverter_formulas"] = Array (
	"ctrl" => $TCA["tx_cs2unitconverter_formulas"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,source_unit,target_unit,formula"
	),
	"feInterface" => $TCA["tx_cs2unitconverter_formulas"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"source_unit" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_formulas.source_unit",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_cs2unitconverter_units",
				"foreign_table_where" => "AND tx_cs2unitconverter_units.group_uid = ".$selectGroup." ORDER BY tx_cs2unitconverter_units.unit_name",
				"size" => 1,
				"minitems" => 0,
				"maxitems" => 1,
				"eval" => "required",
			)
		),
		"target_unit" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_formulas.target_unit",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_cs2unitconverter_units",
				"foreign_table_where" => "AND tx_cs2unitconverter_units.group_uid = ".$selectGroup." ORDER BY tx_cs2unitconverter_units.unit_name",
				"size" => 1,
				"minitems" => 0,
				"maxitems" => 1,
				"eval" => "required",
			)
		),
		"formula" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_formulas.formula",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			),
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, source_unit, target_unit, formula")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
?>