<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

if (TYPO3_MODE=="BE")	{
		
	t3lib_extMgm::addModule("web","txcs2unitconvM1","",t3lib_extMgm::extPath($_EXTKEY)."mod1/");
}


t3lib_extMgm::allowTableOnStandardPages("tx_cs2unitconverter_groups");

$TCA["tx_cs2unitconverter_groups"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_groups",		
		"label" => "group_name",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"sortby" => "sorting",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_cs2unitconverter_groups.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, group_name, group_name_de",
	)
);


t3lib_extMgm::allowTableOnStandardPages("tx_cs2unitconverter_units");

$TCA["tx_cs2unitconverter_units"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_units",		
		"label" => "unit_name",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"sortby" => "sorting",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_cs2unitconverter_units.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, unit_name, unit_name_de, shortcut, group_uid",
	)
);


t3lib_extMgm::allowTableOnStandardPages("tx_cs2unitconverter_formulas");

$TCA["tx_cs2unitconverter_formulas"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:cs2_unitconv/locallang_db.php:tx_cs2unitconverter_formulas",		
		"label" => "formula",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"sortby" => "sorting",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_cs2unitconverter_formulas.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, source_unit, target_unit, formula",
	)
);


t3lib_div::loadTCA("tt_content");
$TCA["tt_content"]["types"]["list"]["subtypes_excludelist"][$_EXTKEY."_pi1"]="layout,select_key,pages";

t3lib_extMgm::addLLrefForTCAdescr('tx_cs2unitconverter_formulas','EXT:cs2_unitconv/locallang_csh_formulas.php');


t3lib_extMgm::addPlugin(Array("LLL:EXT:cs2_unitconv/locallang_db.php:tt_content.list_type_pi1", $_EXTKEY."_pi1"),"list_type");


t3lib_extMgm::addStaticFile($_EXTKEY,"pi1/static/","Unit Converter");
?>