#
# Table structure for table 'tx_cs2unitconverter_groups'
#
CREATE TABLE tx_cs2unitconverter_groups (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	group_name varchar(100) DEFAULT '' NOT NULL,
	group_name_de varchar(100) DEFAULT '' NOT NULL,
	
	PRIMARY KEY (uid),
#	UNIQUE KEY cs2unitconverter_group_name (group_name),
	KEY parent (pid)
);



#
# Table structure for table 'tx_cs2unitconverter_units'
#
CREATE TABLE tx_cs2unitconverter_units (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	unit_name varchar(100) DEFAULT '' NOT NULL,
	unit_name_de varchar(100) DEFAULT '' NOT NULL,
	shortcut varchar(100) DEFAULT '' NOT NULL,
	group_uid int(11) unsigned DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
#	UNIQUE KEY cs2unitconverter_unit_name (unit_name, group_uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_cs2unitconverter_formulas'
#
CREATE TABLE tx_cs2unitconverter_formulas (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	source_unit int(11) unsigned DEFAULT '0' NOT NULL,
	target_unit int(11) unsigned DEFAULT '0' NOT NULL,
	formula varchar(100) DEFAULT '' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);